
QGIS Application - Bug report #15689

crashing when opening a project containing WMS layers

2016-10-11 06:04 AM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23612

Description

I often have this problem - when I open a project containing WMS layers, it crashes and I have to create it from scratch again.

in gdb:

[New Thread 0x7fffbf98b700 (LWP 14541)]

Warning: Loading a file that was saved with an older version of qgis (saved in 2.16.2, loaded in 2.16.3). Problems may occur.

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for

action 

Warning: QImage::setColor: Index out of bound 0

[New Thread 0x7fff3dde9700 (LWP 14542)]

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

Thread 1 "qgis" received signal SIGSEGV, Segmentation fault.

0x00007ffff4f25c18 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

(gdb)

no gdb:

bin/qgis-2.16.sh

Warning: loading of qgis translation failed [/usr/local/qgis-2.16/share/qgis/i18n//qgis_en_ZA]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_ZA]

Warning: QCss::Parser - Failed to load file  "/style.qss" 

Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack "mWidgetStack", which already has a layout

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

module tweepy found

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Search QMS" under id 357 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Terms of Service / About" under id

414 

couldn't create image from  "" 

couldn't create image from  "" 

couldn't create image from  "" 

No handlers could be found for logger "sentry.errors" 
couldn't create image from  "" 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for

action 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for

action 

Warning: Loading a file that was saved with an older version of qgis (saved in 2.16.2, loaded in 2.16.3). Problems may occur.

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for

action 

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

Warning: QImage::setColor: Index out of bound 0

bin/qgis-2.16.sh: line 8: 15069 Segmentation fault      (core dumped) $PREFIX/bin/qgis

Also affects 2.14, 2.8

same symptoms as #2927

History

#1 - 2016-10-11 10:35 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you provide a backtrace from gdb? (Type 'bt')

Are you able to share your project?

#2 - 2016-10-11 12:36 PM - Gavin Fleming

- File WMS_comparison.qgs added

The guilty project file is attached. The localhost layer won't work for you as it is an ssh tunnel.

Thread 1 "qgis" received signal SIGSEGV, Segmentation fault.

0x00007ffff4f25c18 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

(gdb) bt

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

Python Exception <class 'ImportError'> This package should not be accessible on Python 3. Either you are trying to run from the python-future src

folder or your installation of python-future is corrupted.: 

#0  0x00007ffff4f25c18 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#1  0x00007ffff4da6f5f in QWidgetPrivate::paintBackground(QPainter*, QRegion const&, int) const ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#2  0x00007ffff4da7ebe in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*)

() from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#3  0x00007ffff4f7c6c8 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 
#4  0x00007ffff4d9ac50 in QWidgetPrivate::syncBackingStore() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#5  0x00007ffff4dad9b8 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#6  0x00007ffff51919b3 in QMainWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#7  0x00007ffff754cb1b in QgisApp::event(QEvent*) () from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#8  0x00007ffff4d56fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#9  0x00007ffff4d5df16 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#10 0x00007ffff60e1da7 in QgsApplication::notify(QObject*, QEvent*) ()

   from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#11 0x00007ffff5a1090d in QCoreApplication::notifyInternal(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#12 0x00007ffff4f7e2de in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#13 0x00007ffff4d9d4b5 in QWidget::repaint(QRect const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#14 0x00007ffff4d9d513 in QWidget::repaint() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#15 0x00007ffff758aa97 in QgisApp::showProgress(int, int) ()

   from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#16 0x00007ffff79b06b5 in QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()

   from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#17 0x00007ffff5a25010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#18 0x00007ffff659c428 in QgsProject::layerLoaded(int, int) ()

   from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#19 0x00007ffff62b3045 in QgsProject::_getMapLayers(QDomDocument const&, QList<QDomNode>&) ()

   from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#20 0x00007ffff62b4690 in QgsProject::read() () from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#21 0x00007ffff62b3a37 in QgsProject::read(QFileInfo const&) ()

   from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#22 0x00007ffff756aa8e in QgisApp::addProject(QString const&) ()

   from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#23 0x00007ffff756df5b in QgisApp::openProject(QString const&) ()

   from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 
#24 0x00007ffff771c86d in QgsWelcomePage::itemActivated(QModelIndex const&) ()

   from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#25 0x00007ffff79bc405 in QgsWelcomePage::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)

    () from /usr/local/qgis-2.16/lib/libqgis_app.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#26 0x00007ffff5a25010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#27 0x00007ffff52932c5 in QAbstractItemView::activated(QModelIndex const&) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#28 0x00007ffff529cc18 in QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#29 0x00007ffff4dae450 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#30 0x00007ffff5176cee in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#31 0x00007ffff529c663 in QAbstractItemView::viewportEvent(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#32 0x00007ffff5a10a76 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#33 0x00007ffff4d56fbc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#34 0x00007ffff4d5e0d6 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

---Type <return> to continue, or q <return> to quit---

#35 0x00007ffff60e1da7 in QgsApplication::notify(QObject*, QEvent*) ()

   from /usr/local/qgis-2.16/lib/libqgis_core.so.2.16.3

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#36 0x00007ffff5a1090d in QCoreApplication::notifyInternal(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#37 0x00007ffff4d5d6dd in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#38 0x00007ffff4ddb3f2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#39 0x00007ffff4ddac83 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#40 0x00007ffff4e04542 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#41 0x00007fffed4e91a7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#42 0x00007fffed4e9400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#43 0x00007fffed4e94ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#44 0x00007ffff5a412ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#45 0x00007ffff4e04616 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#46 0x00007ffff5a0f18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#47 0x00007ffff5a0f4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#48 0x00007ffff5a154b9 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#49 0x000000000040a30d in main ()

Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 

#3 - 2016-10-11 09:01 PM - Nyall Dawson

Hmmm not much to go on there. Are you able to self build a debug version? I can't reproduce any crash with the project, but it's probably because of the

missing WMS layer

#4 - 2016-10-13 04:09 AM - Martin Dobias

Hi Gavin

Few questions :-)

- can you confirm the problem persists if you disable all plugins?

- can you confirm the problem persists in 2.18? there were some updates that may have helped

- does it matter from what kind of source the WMS layer is coming from (e.g. it only happens with your "local" server, but not "remote" servers)?

- does the project need at least two WMS layers in order to crash?

- how often would it crash? Once in ten times you open the project?

#5 - 2016-10-13 04:24 AM - Gavin Fleming

Nyall I'm not sure when I'll be able to get around to building a debug version.

Martin

It just opened for me but I hadn't opened the ssh tunnel so it complained about a missing layer. So I then opened the tunnel and came back and said

OK..then it proceeded to load both layers. It seems like the first one had time to load in the meantime? When I re-opened the project with the tunnel already

open, it crashed again.

- I can confirm it still crashes with all Python plugins disabled (after restart)
- I haven't built 2.18 yet

- not sure

- haven't tested thoroughly yet

- in this case every time (except in the fortuitous instance described above)

#6 - 2016-10-27 07:43 AM - Christian S

I have a similar problem that started with 2.18. My platform:

Ubuntu 16.04 64bit, QGIS 2.18.0 from ubuntugis

I cannot add WMS layers to a project if I enter a tilesize (for example 256 x 256) in the WMS dialog. QGIS crashes immediately after pressing "Add" in the

WMS dialog.

When opening old projects (from 2.16.3) with such tiled WMS-layers in 2.18.0 QGIS crashes as well. It worked fine with QIGS 2.16.3 from ubuntugis.

Christian

#7 - 2016-11-08 05:26 AM - Marcus Schneider

The same problem apears in QGIS 2.18.0 for Windows 64Bit installed with the osgeo4w installer.

QGIS crashes when I try to add a WMS layer with a tile size. The same layer without a tile size will work correctly. The WMS Server is a Geoserver 2.10.0.

There where no problem with QGIS 2.16.3.

#8 - 2016-11-08 05:32 PM - Martin Dobias

Christian / Marcus: your problem involving crash with tiled WMS in 2.18 has been reported in #15799 and fixed (was introduced within 2.18 development).

The issue Gavin reported is a different problem as it has been reported for 2.16

#9 - 2017-01-02 08:13 AM - Giovanni Manghi

- Category set to Project Loading/Saving

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#10 - 2017-03-07 07:28 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

I played a while with the attached project, adding other wms layers, reprojecting, etc. No crashes on 2.18.4 on Ubuntu 16.04

I assume the issue could have been fixed. Please reopen if is not.

Files

WMS_comparison.qgs 8.05 KB 2016-10-11 Gavin Fleming
